Loading...
Searching...
No Matches
Opm::ParallelEclipseState Class Reference

Parallel frontend to the EclipseState. More...

`#include <ParallelEclipseState.hpp>`

Inheritance diagram for Opm::ParallelEclipseState:

## Public Member Functions

| ParallelEclipseState (Parallel::Communication comm)
| Default constructor.
| ParallelEclipseState (const Deck &deck)
| Construct from a deck instance.
| ParallelEclipseState (const Deck &deck, Parallel::Communication comm)
| EXPERIMENTAL FUNCTION TO ADD COMM AS INPUT.
void | switchToGlobalProps ()
| Switch to global field properties.
void | switchToDistributedProps ()
| Switch to distributed field properies.
const FieldPropsManager & | fieldProps () const override
| Returns a const ref to current field properties.
const FieldPropsManager & | globalFieldProps () const override
| Returns a const ref to global field properties.
void | computeFipRegionStatistics () override
| Compute basic descriptive statistics about all FIP region sets.
const EclipseGrid & | getInputGrid () const override
| Returns a const ref to the eclipse grid.
template<class T>
void | resetCartesianMapper (const T *mapper)
| Resets the underlying cartesian mapper \detail This has to be the cartesian mapper of the distributed grid.

## Friends

template<class Grid>
class | PropsDataHandle
| Friend to set up props.

## Detailed Description

Parallel frontend to the EclipseState.

This is a parallel frontend to the mpi-unaware EclipseState in opm-common. It extends the eclipse state class with serialization support, and contains methods to switch between full global field properties, and distributed field properties for consumption in the simulator. Additionally, it has a few sanity checks to ensure that the data that is only available on the root process is not attempted to be accessed on non-root processes.

## Constructor & Destructor Documentation

## ParallelEclipseState() [1/2]

Opm::ParallelEclipseState::ParallelEclipseState | ( | const Deck & | deck | ) |

Construct from a deck instance.

Parameters

  deck | The deck to construct from

Only called on root process

## ParallelEclipseState() [2/2]

Opm::ParallelEclipseState::ParallelEclipseState | ( | const Deck & | deck,
|  | Parallel::Communication | comm )

EXPERIMENTAL FUNCTION TO ADD COMM AS INPUT.

Construct from a deck instance.

Parameters

  deck | The deck to construct from
  comm | Parallel communicator

Only called on root process

## Member Function Documentation

## computeFipRegionStatistics()

void Opm::ParallelEclipseState::computeFipRegionStatistics | ( |  | ) |

override

Compute basic descriptive statistics about all FIP region sets.

MPI-aware version which knows how to compute statistics across all ranks.

## getInputGrid()

const EclipseGrid & Opm::ParallelEclipseState::getInputGrid | ( |  | ) | const

override

Returns a const ref to the eclipse grid.

Can only be called on root process.

## globalFieldProps()

const FieldPropsManager & Opm::ParallelEclipseState::globalFieldProps | ( |  | ) | const

override

Returns a const ref to global field properties.

Can only be called on root process.

## resetCartesianMapper()

template<class T>

void Opm::ParallelEclipseState::resetCartesianMapper | ( | const T * | mapper | ) |

inline

Resets the underlying cartesian mapper \detail This has to be the cartesian mapper of the distributed grid.

It will be used to autocreate properties not explicitly stored.

Template Parameters

  T | The type of the cartesian mapper

Parameters

  mapper | The cartesian mapper of the distributed grid

## switchToDistributedProps()

void Opm::ParallelEclipseState::switchToDistributedProps | ( |  | ) |

Switch to distributed field properies.

Called on root process to use the distributed field properties. setupLocalProps must be called prior to this.

## switchToGlobalProps()

void Opm::ParallelEclipseState::switchToGlobalProps | ( |  | ) |

Switch to global field properties.

Called on root process to use the global field properties

The documentation for this class was generated from the following files:

- opm/simulators/utils/ParallelEclipseState.hpp
- opm/simulators/utils/ParallelEclipseState.cpp